semantic-release/semantic-release 软件分析报告

基础信息

项目名称:semantic-release/semantic-release

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1757806418194735104/1757806418236678144

此报告由Murphysec提供

漏洞列表

暂无

缺陷组件

暂无

许可证风险

许可证类型 相关组件 许可证风险
ISC 76
MIT 201
BSD-2-Clause 4
Python-2.0 1
BSD-3-Clause 3
CC-BY-3.0 1
Apache-2.0 4
CC0-1.0 1
Artistic-2.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
@npmcli/run-script 7.0.4 间接依赖 npm
chalk 5.3.0 间接依赖 npm
cliui 8.0.1 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
which 4.0.0 间接依赖 npm
figures 2.0.0 间接依赖 npm
meow 12.1.1 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
@types/normalize-package-data 2.4.4 间接依赖 npm
text-table 0.2.0 间接依赖 npm
npm-package-arg 11.0.1 间接依赖 npm
env-paths 2.2.1 间接依赖 npm
import-from-esm 1.3.3 间接依赖 npm
mime 4.0.1 间接依赖 npm
semver 7.5.4 间接依赖 npm
@octokit/request 8.2.0 间接依赖 npm
ini 4.1.1 间接依赖 npm
parse-conflict-json 3.0.1 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
cli-columns 4.0.0 间接依赖 npm
universal-user-agent 6.0.1 间接依赖 npm
stream-combiner2 1.1.1 间接依赖 npm
node-emoji 2.1.3 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
is-cidr 5.0.3 间接依赖 npm
read-pkg 9.0.1 间接依赖 npm
hosted-git-info 7.0.1 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
p-is-promise 3.0.0 间接依赖 npm
argparse 2.0.1 间接依赖 npm
temp-dir 3.0.0 间接依赖 npm
marked 12.0.0 间接依赖 npm
ci-info 4.0.0 间接依赖 npm
highlight.js 10.7.3 间接依赖 npm
deep-extend 0.6.0 间接依赖 npm
figures 6.0.1 间接依赖 npm
config-chain 1.1.13 间接依赖 npm
npm-registry-fetch 16.1.0 间接依赖 npm
type-fest 1.4.0 间接依赖 npm
@semantic-release/github 9.2.6 间接依赖 npm
npmlog 7.0.1 间接依赖 npm
@octokit/endpoint 9.0.4 间接依赖 npm
npm-user-validate 2.0.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
pkg-conf 2.1.0 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
agent-base 7.1.0 间接依赖 npm
spdx-exceptions 2.4.0 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
proc-log 3.0.0 间接依赖 npm
libnpmaccess 8.0.2 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
conventional-commits-filter 4.0.0 间接依赖 npm
onetime 6.0.0 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
split2 4.2.0 间接依赖 npm
cli-highlight 2.1.11 间接依赖 npm
is-core-module 2.13.1 间接依赖 npm
registry-auth-token 5.0.2 间接依赖 npm
semver-regex 4.0.5 间接依赖 npm
into-stream 7.0.0 间接依赖 npm
libnpmsearch 7.0.1 间接依赖 npm
reusify 1.0.4 间接依赖 npm
nerf-dart 1.0.0 间接依赖 npm
aggregate-error 5.0.0 间接依赖 npm
lru-cache 10.2.0 间接依赖 npm
libnpmorg 6.0.2 间接依赖 npm
once 1.4.0 间接依赖 npm
libnpmpack 6.0.6 间接依赖 npm
mz 2.7.0 间接依赖 npm
ms 2.1.2 间接依赖 npm
lodash.escaperegexp 4.1.2 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
qrcode-terminal 0.12.0 间接依赖 npm
@octokit/request-error 5.0.1 间接依赖 npm
index-to-position 0.1.2 间接依赖 npm
get-stream 7.0.1 间接依赖 npm
human-signals 5.0.0 间接依赖 npm
pacote 17.0.6 间接依赖 npm
xtend 4.0.2 间接依赖 npm
@pnpm/config.env-replace 1.1.0 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
fs-minipass 3.0.3 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
spdx-license-ids 3.0.17 间接依赖 npm
glob 10.3.10 间接依赖 npm
proto-list 1.2.4 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
columnify 1.6.0 间接依赖 npm
is-stream 3.0.0 间接依赖 npm
find-versions 5.1.0 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
core-util-is 1.0.3 间接依赖 npm
npm-pick-manifest 9.0.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
thenify 3.3.1 间接依赖 npm
signale 1.4.0 间接依赖 npm
path-key 4.0.0 间接依赖 npm
@octokit/graphql 7.0.2 间接依赖 npm
yargs 17.7.2 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
through2 2.0.5 间接依赖 npm
nopt 7.2.0 间接依赖 npm
@npmcli/arborist 7.3.1 间接依赖 npm
minimist 1.2.7 间接依赖 npm
libnpmfund 5.0.4 间接依赖 npm
yargs 16.2.0 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
compare-func 2.0.0 间接依赖 npm
semver-diff 4.0.0 间接依赖 npm
@octokit/types 12.4.0 间接依赖 npm
conventional-changelog-angular 7.0.0 间接依赖 npm
npm 10.4.0 间接依赖 npm
is-text-path 2.0.0 间接依赖 npm
lodash.uniqby 4.7.0 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
@babel/helper-validator-identifier 7.22.20 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
hook-std 3.0.0 间接依赖 npm
load-json-file 4.0.0 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
type-fest 2.19.0 间接依赖 npm
readable-stream 2.3.8 间接依赖 npm
hasown 2.0.1 间接依赖 npm
@octokit/openapi-types 19.1.0 间接依赖 npm
archy 1.0.0 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
libnpmexec 7.0.7 间接依赖 npm
skin-tone 2.0.0 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
color-name 1.1.3 间接依赖 npm
@octokit/auth-token 4.0.0 间接依赖 npm
argv-formatter 1.0.0 间接依赖 npm
traverse 0.6.8 间接依赖 npm
node-gyp 10.0.1 间接依赖 npm
tiny-relative-date 1.3.0 间接依赖 npm
fast-glob 3.3.2 间接依赖 npm
dot-prop 5.3.0 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
spawn-error-forwarder 1.0.0 间接依赖 npm
libnpmdiff 6.0.6 间接依赖 npm
ssri 10.0.5 间接依赖 npm
read 2.1.0 间接依赖 npm
bottleneck 2.19.5 间接依赖 npm
minimatch 9.0.3 间接依赖 npm
indent-string 5.0.0 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
tempy 3.1.0 间接依赖 npm
@babel/highlight 7.23.4 间接依赖 npm
unicorn-magic 0.1.0 间接依赖 npm
write-file-atomic 5.0.1 间接依赖 npm
handlebars 4.7.8 间接依赖 npm
@octokit/plugin-retry 6.0.1 间接依赖 npm
emojilib 2.4.0 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
@octokit/core 5.1.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
@pnpm/network.ca-file 1.0.2 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
slash 5.1.0 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
p-each-series 3.0.0 间接依赖 npm
isexe 3.1.1 间接依赖 npm
lodash.capitalize 4.2.1 间接依赖 npm
fs-extra 11.2.0 间接依赖 npm
parse5-htmlparser2-tree-adapter 6.0.1 间接依赖 npm
cacache 18.0.2 间接依赖 npm
array-ify 1.0.0 间接依赖 npm
p-filter 4.1.0 间接依赖 npm
p-reduce 3.0.0 间接依赖 npm
parse5 6.0.1 间接依赖 npm
import-meta-resolve 4.0.0 间接依赖 npm
@pnpm/npm-conf 2.2.2 间接依赖 npm
escape-string-regexp 5.0.0 间接依赖 npm
@semantic-release/commit-analyzer 11.1.0 间接依赖 npm
npm-run-path 5.2.0 间接依赖 npm
lodash-es 4.17.21 间接依赖 npm
parse5 5.1.1 间接依赖 npm
ansi-escapes 6.2.0 间接依赖 npm
java-properties 1.0.2 间接依赖 npm
make-fetch-happen 13.0.0 间接依赖 npm
unicode-emoji-modifier-base 1.0.0 间接依赖 npm
ms 2.1.3 间接依赖 npm
npm-install-checks 6.3.0 间接依赖 npm
init-package-json 6.0.0 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
which 2.0.2 间接依赖 npm
minipass 5.0.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
@sindresorhus/is 4.6.0 间接依赖 npm
thenify-all 1.6.0 间接依赖 npm
url-join 5.0.0 间接依赖 npm
type-fest 4.10.2 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
http-proxy-agent 7.0.0 间接依赖 npm
marked-terminal 7.0.0 间接依赖 npm
minipass 3.3.6 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
clean-stack 5.2.0 间接依赖 npm
normalize-package-data 6.0.0 间接依赖 npm
lodash.isstring 4.0.1 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
duplexer2 0.1.4 间接依赖 npm
libnpmpublish 9.0.4 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
normalize-url 8.0.0 间接依赖 npm
supports-hyperlinks 3.0.0 间接依赖 npm
issue-parser 6.0.0 间接依赖 npm
unique-string 3.0.0 间接依赖 npm
json-parse-even-better-errors 3.0.1 间接依赖 npm
debug 4.3.4 间接依赖 npm
through 2.3.8 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
fastq 1.17.1 间接依赖 npm
spdx-correct 3.2.0 间接依赖 npm
jsonparse 1.3.1 间接依赖 npm
globby 14.0.1 间接依赖 npm
before-after-hook 2.2.3 间接依赖 npm
mimic-fn 4.0.0 间接依赖 npm
https-proxy-agent 7.0.2 间接依赖 npm
tar 6.2.0 间接依赖 npm
p-map 7.0.1 间接依赖 npm
@npmcli/config 8.1.0 间接依赖 npm
@semantic-release/npm 11.0.2 间接依赖 npm
@sindresorhus/merge-streams 2.1.0 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
conventional-changelog-writer 7.0.1 间接依赖 npm
JSONStream 1.3.5 间接依赖 npm
merge2 1.4.1 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
ignore 5.3.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
source-map 0.6.1 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
fastest-levenshtein 1.0.16 间接依赖 npm
read-pkg-up 11.0.0 间接依赖 npm
any-promise 1.3.0 间接依赖 npm
@semantic-release/release-notes-generator 12.1.0 间接依赖 npm
universalify 2.0.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
git-log-parser 1.2.0 间接依赖 npm
signal-exit 4.1.0 间接依赖 npm
@sigstore/tuf 2.3.0 间接依赖 npm
minipass 7.0.4 间接依赖 npm
pify 3.0.0 间接依赖 npm
chalk 2.4.2 间接依赖 npm
escalade 3.1.2 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
find-up-simple 1.0.0 间接依赖 npm
find-up 2.1.0 间接依赖 npm
npm-audit-report 5.0.0 间接依赖 npm
crypto-random-string 4.0.0 间接依赖 npm
graceful-fs 4.2.11 间接依赖 npm
y18n 5.0.8 间接依赖 npm
parse-json 8.1.0 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
function-bind 1.1.2 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
@octokit/plugin-throttling 8.1.3 间接依赖 npm
ini 1.3.8 间接依赖 npm
semver 7.6.0 间接依赖 npm
execa 8.0.1 间接依赖 npm
split2 1.0.0 间接依赖 npm
@npmcli/promise-spawn 7.0.1 间接依赖 npm
supports-color 9.4.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
strip-final-newline 3.0.0 间接依赖 npm
cli-table3 0.6.3 间接依赖 npm
get-stream 8.0.1 间接依赖 npm
conventional-commits-parser 5.0.0 间接依赖 npm
cosmiconfig 9.0.0 间接依赖 npm
libnpmhook 10.0.1 间接依赖 npm
@semantic-release/error 4.0.0 间接依赖 npm
rc 1.2.8 间接依赖 npm
@npmcli/package-json 5.0.0 间接依赖 npm
libnpmteam 6.0.1 间接依赖 npm
chalk 4.1.2 间接依赖 npm
env-ci 11.0.0 间接依赖 npm
p-map 4.0.0 间接依赖 npm
path-type 4.0.0 间接依赖 npm
text-extensions 2.4.0 间接依赖 npm
@babel/code-frame 7.23.5 间接依赖 npm
npm-profile 9.0.0 间接依赖 npm
@npmcli/fs 3.1.0 间接依赖 npm
@octokit/plugin-paginate-rest 9.1.5 间接依赖 npm
abbrev 2.0.0 间接依赖 npm
@isaacs/string-locale-compare 1.1.0 间接依赖 npm
is-unicode-supported 2.0.0 间接依赖 npm
from2 2.3.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
@npmcli/map-workspaces 3.0.4 间接依赖 npm
path-type 5.0.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
libnpmversion 5.0.2 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
validate-npm-package-name 5.0.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
treeverse 3.0.0 间接依赖 npm
(0)
上一篇 2024年2月15日
下一篇 2024年2月15日

相关推荐

  • czy1121/update 软件分析报告

    基础信息 项目名称:czy1121/update 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717004479345852416/1717004479610093568 此报告由Murphysec提供 漏洞列…

    软件分析 2023年10月25日
    0
  • kennethreitz/httpbin 软件分析报告

    基础信息 项目名称:kennethreitz/httpbin 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719411271656931328/1719411271698874368 此报告由Murphysec…

    软件分析 2023年11月1日
    0
  • apache/solr 软件分析报告

    基础信息 项目名称:apache/solr 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720642760448851968/1720642760490795008 此报告由Murphysec提供 漏洞列表 暂…

    软件分析 2023年11月4日
    0
  • DeutscheMark/homebridge-kodi 软件分析报告

    基础信息 项目名称:DeutscheMark/homebridge-kodi 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717125890462842880/1717125891976986624 此报告由M…

    软件分析 2023年10月25日
    0
  • microsoft/pxt 软件分析报告

    基础信息 项目名称:microsoft/pxt 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1757980431821570048/1757980431863513088 此报告由Murphysec提供 漏洞列表…

    软件分析 2024年2月15日
    0